Request Parameters
- destinationSlugrequired, string
The slug identifier for the destination.
- environmentFlagrequired, string
The environment flag (e.g., Development, Staging, Production).
- groupIdrequired, string
The ID of the Group resource to export data for.
Request Body Schema
- Metarequired, object
- DataModelrequired, stringReliable
FHIR Bulk Data Access
- EventTyperequired, stringReliable
group-export
- EventDateTimestring, nullReliable
Displays the UTC date and time that an outgoing request is delivered or an incoming request is received.
ISO 8601 Format - Testboolean, nullReliable
Indicates whether the request is a test or not.
- Sourceobject
Contains the information for the system initiating the message, including the source ID and name.
Included in messages from Redox- IDstring, nullReliable
Identifies the system initiating the message. If you have multiple OAuth API keys per environment type, this value is required. If you have only one OAuth API key per environment type, or you're using legacy API keys, this value is optional.
UUID - Namestring, nullReliable
Displays the name of the system initiating the message.
- DestinationsArray of object
Contains the information for the endpoint(s) receiving the request. A request must contain at least one destination, but asynchronous requests can have more than one destination. Synchronous requests like queries can only support one destination.
Required when sending data to Redox.- IDstring, nullReliable
Identifies the endpoint that the request is directed to.
UUID - Namestring, nullReliable
Displays the name of the endpoint that the request is directed to.
- LogsArray of object
Contains the log identifier(s) for the request.
- IDstring, nullReliable
Identifies the request log(s) that correspond to this request. You can use this value to locate the relevant log in the Redox dashboard for support and reference.
UUID - AttemptIDstring, nullReliable
Identifies the request log attempt value, which is useful when retries are possible.
UUID
- FacilityCodestring, nullPossible
Code for the facility related to the message.
Only use this field if a health system indicates you should. The code is specific to the health system's EHR and might not be unique across health systems. In general, the facility fields within the data models (e.g. OrderingFacility) are more reliable and informative.
- idrequired, string
The ID of the Group resource to export data for.
- patientstring, null
One or more FHIR Patient references to restrict the export to specific patients within the group. Only valid in HTTP POST kickoff requests.
- includeAssociatedDatastring, null
A string of comma-delimited values directing the server to return or omit predefined sets of FHIR resources associated with the request.
- organizeOutputBystring, null
When provided, directs the server to organize output files by instances of the specified resource type.
- allowPartialManifestsboolean, null
When true, permits the server to distribute bulk data output across multiple manifests with pagination support.
- _outputFormatstring, null
The format for the requested Bulk Data files to be generated. Defaults to application/fhir+ndjson.
- _sincestring, null
Only include resources modified after this instant. Compared against Resource.meta.lastUpdated.
- _untilstring, null
Only include resources modified before this instant. Compared against Resource.meta.lastUpdated.
- _typestring, null
A string of comma-delimited FHIR resource types. The response SHALL be filtered to only include resources of the specified resource types.
- _elementsstring, null
A string of comma-delimited FHIR element paths. When provided, the server SHOULD omit unlisted, non-mandatory elements from the resources returned.
- _typeFilterstring, null
A string of a FHIR REST search query. When provided, the server SHALL filter the data in the response to only include resources matching the query.